@import "../../styles/variables.scss";

$phone-big: "only screen and (min-width: 768px)";

.navbar-main-container {
  margin-top: 0;

  .nav {
    display: flex;
    flex-direction: row;
    z-index: 100;
  }

  .nav,
  .nav-contrast {
    height: 60px;
    position: relative;
    width: 100%;

    .nav-header {
      display: inline;
      padding-left: 5%;

      .nav-title {
        display: inline-block;

        &:hover {
          cursor: pointer;
        }
      }
    }

    .nav-links {
      align-items: center;
      display: flex;

      // font-size: 16px;
      // font-weight: $text-weight-med;
      height: 100%;
      justify-content: flex-end;
      padding-right: 5%;
      position: relative;
      width: 100%;
      z-index: 100000;

      a {
        color: $white-warm;
        display: inline-block;
        line-height: 3px;
        padding: 25px 10px;
        text-decoration: none;

        &:hover,
        &:active {
          border-bottom: 2px solid $global-link-color;
          color: #333269;
        }
      }

      .auth-active {
        color: red;

        &:hover,
        &:active {
          border-bottom: none;
          color: red;
        }
      }

      .ant-dropdown-link {
        &:hover,
        &.active {
          border-bottom: none;
        }
      }

      .avatar {
        margin-left: 30px;
      }

      .hamburger {
        color: $global-white;
        font-size: 2em;
        padding-right: 0;
        padding-top: 12px;

        &:hover {
          color: darken($global-white, 10);
          cursor: pointer;
        }
      }

      .dark-ham {
        color: $color-black3;

        &:hover {
          color: darken($color-black3, 10);
          cursor: pointer;
        }
      }

      .link-item {
        line-height: 1;
        text-align: right;
      }
    }
  }

  .nav-contrast {
    background-color: #ebebeb;

    .nav-links {
      a {
        color: $color-black3;
      }
    }
  }

  .menuItem {
    background-color: rgba(85, 90, 107, .9);
    height: 100vh;
    overflow-y: auto;
    padding-top: 80px;
    position: fixed;
    right: 0;
    top: 0;
    width: 300px;
    z-index: 1000;

    .menu-item-dropdown {
      a {
        color: $white-warm;
        display: block;
        font-size: 1.4em;
        padding: 20px 40px;
        text-decoration: none;
        width: 100%;

        &:hover {
          border-left: 2px solid $global-link-color;
          color: darken($global-white, 20);
        }
      }
    }
  }
}

.dropmenu-item {
  padding-left: 20px;
  width: 150px;
}

a.link-item {
  margin-right: 20px;

  &.desktop-item {
    @media only screen and (max-width: 425px) {
      display: none !important;
    }
  }

  @media only screen and (max-width: 768px) {
    margin-right: 0;
  }
}
